#pragma once

#include "../../RemotePeer.hpp"
#include "../../events/types.hpp"
#include "../base/PacketData.hpp"


namespace drp::packet::info {


/**
 * Represent the content of an info packet.
 * Contains information about the peer sending it.
 */
class InfoPacketData : public base::PacketData<event::EventType::INFO, InfoPacketData> {
public:
    Peer peer {};
};


}
