#pragma once

#include <memory>
#include <map>
#include <netdb.h>

#include "RemotePeer.hpp"


struct Context {
    int socket = -1;
    addrinfo* broadcastAddressInfo = nullptr;
    std::shared_ptr<RemotePeer> server = nullptr;

    Peer me;
    std::map<
        std::uint32_t,
        std::shared_ptr<RemotePeer>
    > remotePeers {};
    std::chrono::high_resolution_clock::time_point latestPeerDiscovery;
};
